package meerkat.bulletinboard.webapp;


import com.google.protobuf.Message;
import meerkat.bulletinboard.service.HelloProtoBuf;
import meerkat.rest.Constants;
import service.HelloWorldService;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

@Path("/proto")
public class HelloProtoWebApp {
    private static HelloProtoBuf helloProtoBuf = new HelloProtoBuf();

    @GET
    @Produces(Constants.MEDIATYPE_PROTOBUF)
    public Message hello() {
        return helloProtoBuf.sayHello();
    }
}
